Skip to main content
POST
/
api
/
insights
payment insight
curl --request POST \
  --url https://api.example.com/api/insights \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2026-01-11",
  "endDate": "2026-02-11",
  "filters": [
    {
      "fieldName": "currency",
      "fieldValues": [
        "USD"
      ]
    }
  ],
  "queryObject": "payment-statistics-query",
  "aggregationPeriod": "daily"
}
'
[
  {
    "date": "2026-02-06",
    "totalAmount": 1999.03,
    "totalRefundAmount": 1999,
    "totalReceivedAmount": 0.3,
    "transactionCount": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string
default:{{$string.uuid}}

Body

application/json
startDate
string<date>
required
endDate
string<date>
required
queryObject
enum<string>
required
Available options:
payment-statistics-query
aggregationPeriod
enum<string>
required
Available options:
daily,
monthly,
yearly
filters
object[]

Response

200 - application/json
date
string
totalAmount
number
totalRefundAmount
number
totalReceivedAmount
number
transactionCount
number

number of payment transactions